## farm

#### OS/161 Reference Manual

### Name

farm - run some hogs and cats

### Synopsis

`/testbin/farm`

### Description

`farm` runs three copies of hog and one copy of /bin/cat.

The `cat` process reads and prints the file `catfile`, which you should create in advance.

### Requirements

`farm` uses the following system calls:

- fork
- execv
- write
- _exit

The `cat` subprocess spawned by `farm` uses these additional system calls:

- open
- read
- close

`farm` is only likely to be useful for testing the scheduler.

### Bugs

`farm` does not wait for its child processes to finish.